From f5baf710f0e7ae24258ccbd572291b72d89bbb83 Mon Sep 17 00:00:00 2001
From: Marcelo Augusto <mekmay@hotmail.com>
Date: May 17 2018 02:02:56 +0000
Subject: [PATCH 1/42] Fixing get for analysis in api.


---

diff --git a/src/api/analysis.js b/src/api/analysis.js
index 3801b1a..69ebf5d 100644
--- a/src/api/analysis.js
+++ b/src/api/analysis.js
@@ -2,12 +2,12 @@ import axios from '.'
 
 export default {
   get: (currentPackage) => {
-    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions}`)
+    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions[0].number}`)
   },
   getReports: (currentPackage, id) => {
-    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.version}/${id}/reports`)
+    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions[0].number}/${id}/reports`)
   },
   getResults: (currentPackage, id) => {
-    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.version}/${id}/results`)
+    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions[0].number}/${id}/results`)
   }
 }

